# TCLAP::ArgTraits< T > Struct Template Reference

Arg traits are used to get compile type specialization when parsing argument values. More...

`#include <ArgTraits.h>`

List of all members.

## Public Types
typedef T::ValueCategory | ValueCategory
## Public Member Functions
virtual | ~ArgTraits ()

## Detailed Description

### template<typename T>
struct TCLAP::ArgTraits< T >

Arg traits are used to get compile type specialization when parsing argument values.

Using an ArgTraits you can specify the way that values gets assigned to any particular type during parsing. The two supported types are StringLike and ValueLike.

Definition at line 79 of file ArgTraits.h.

## Member Typedef Documentation

template<typename T>

typedef T::ValueCategory TCLAP::ArgTraits< T >::ValueCategory

Definition at line 80 of file ArgTraits.h.

## Constructor & Destructor Documentation

template<typename T>

virtual TCLAP::ArgTraits< T >::~ArgTraits | ( |  | ) | `[inline, virtual]`

Definition at line 81 of file ArgTraits.h.

The documentation for this struct was generated from the following file:

- ArgTraits.h